import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:toolheim/data/github_adapter.dart';

class SettingsScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    GitHubAdapter github = Provider.of<GitHubAdapter>(context);

    // TODO: Add this to local storage
    //String _repository = 'Labernator/Mordheim';
    //String _path = 'Mordheim-BorderTownBurning/Warband Rosters';

    return Scaffold(
        appBar: AppBar(title: Text('Settings')),
        body: Column(children: <Widget>[
          TextField(
            decoration: InputDecoration(labelText: 'Repository'),
          ),
          TextField(
            decoration: InputDecoration(labelText: 'Path'),
          )
        ]));
  }
}
